Bug 1571062 (CVE-2018-8781)

Summary: CVE-2018-8781 kernel: Integer overflow in drivers/gpu/drm/udl/udl_fb.c:udl_fb_mmap() can allow attackers to execute code in kernel space
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: airlied, apmukher, aquini, bhu, blc, bskeggs, dhoward, ewk, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, john.j5live, jonathan, josef, jross, jwboyer, kbost, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, ltsai, matt, mchehab, mcressma, mjg59, mlangsdo, nmurray, plougher, rt-maint, rvrbovsk, skozina, slawomir, steved, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20180321,reported=20180424,source=cve,cvss3=7/CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H,cwe=CWE-190,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=affected,rhel-8/kernel=notaffected,rhel-7/kernel-rt=affected,mrg-2/realtime-kernel=affected,rhel-alt-7/kernel-alt=affected,fedora-all/kernel=affected
Fixed In Version: kernel 4.16 Doc Type: If docs needed, set a value
Doc Text:
A an integer overflow vulnerability was discovered in the Linux kernel, from version 3.4 through 4.15, in the drivers/gpu/drm/udl/udl_fb.c:udl_fb_mmap() function. An attacker with access to the udldrmfb driver could exploit this to obtain full read and write permissions on kernel physical pages, resulting in a code execution in kernel space.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:20:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1573104, 1725177, 1725178, 1571063, 1573097, 1573098, 1573099, 1573100, 1573101, 1573102, 1573103    
Bug Blocks: 1571065    

Description Sam Fowler 2018-04-24 03:43:30 UTC
The Linux kernel from version 3.4 through 4.15 has an integer overflow vulnerability in the drivers/gpu/drm/udl/udl_fb.c:udl_fb_mmap() function. An attacker with access to the udldrmfb driver could exploit this to obtain full read and write permissions on kernel physical pages, resulting in a code execution in kernel space.


Upstream Patch:

https://patchwork.freedesktop.org/patch/211845/

Mitre annoucement:


https://cve.mitre.org/cgi-bin/cvename.cgi?name=2018-8781

Comment 1 Sam Fowler 2018-04-24 03:44:34 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1571063]

Comment 2 Justin M. Forbes 2018-04-24 12:22:04 UTC
This was fixed for Fedora with the 4.15.14 stable kernel updates.

Comment 8 errata-xmlrpc 2018-10-30 07:33:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 9 errata-xmlrpc 2018-10-30 07:39:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096

Comment 10 errata-xmlrpc 2018-10-30 09:00:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2948 https://access.redhat.com/errata/RHSA-2018:2948